.toggle{
    position: relative;
    display: inline-block;
    width: 34px;
    height: 14px;

    & input{
        opacity: 0;
        width: 0;
        height: 0;
    }

    &-div{
        position: absolute;
        right: 20px;
        top: 35px;
    }
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color:#ECEFFC;
    -webkit-transition: .4s;
    transition: .4s;
    &:before {
        position: absolute;
        content: "";
        height: 20px;
        width: 20px;
        left: 0px;
        bottom: -3px;
        background-color: #D1D6EE;
        -webkit-transition: .4s;
        transition: .4s;
        box-shadow: -4px -4px 8px rgba(255, 255, 255, .1), 4px 4px 8px rgba(0, 6, 39, .1);
      }

      input:checked + & {
        background-color: #196be561;
      }
      
      // input:focus + & {
      //   box-shadow: 0 0 1px #196be561;
      // }
      
      input:checked + &:before {
        background-color: #196be5;

        -webkit-transform: translateX(18px);
        -ms-transform: translateX(18px);
        transform: translateX(18px);
      }
      
  }
  
.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}
  
  
  